Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.linker
Class IFrameLinker

    java.lang.Object
      com.google.gwt.core.ext.Linker
          com.google.gwt.core.ext.linker.AbstractLinker
              com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
                  com.google.gwt.core.linker.IFrameLinker

    @LinkerOrder(value=PRIMARY)
    @Shardable
    public class IFrameLinker

extends com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

Implements the canonical GWT bootstrap sequence that loads the GWT module in a separate iframe.

Field Summary

Fields inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`COMPUTE_SCRIPT_BASE_JS, FRAGMENT_EXTENSION, FRAGMENT_SUBDIR, permutationsUtil, PROCESS_METAS_JS`

Constructor Summary
`IFrameLinker()`

Method Summary
`protected byte[]` | `generatePrimaryFragment(TreeLogger logger, LinkerContext context, CompilationResult result, java.lang.String[] js, ArtifactSet artifacts)`
`protected java.lang.String` | `getCompilationExtension(TreeLogger logger, LinkerContext context)`
`java.lang.String` | `getDescription()` Returns a human-readable String describing the Linker.
`protected java.lang.String` | `getFragmentSubdir(TreeLogger logger, LinkerContext context)` Returns the subdirectory name to be used by getModulPrefix when requesting a runAsync module.
`protected java.lang.String` | `getHostedFilename()`
`protected java.lang.String` | `getModulePrefix(TreeLogger logger, LinkerContext context, java.lang.String strongName)`
`protected java.lang.String` | `getModulePrefix(TreeLogger logger, LinkerContext context, java.lang.String strongName, int numFragments)`
`protected java.lang.String` | `getModuleSuffix(TreeLogger logger, LinkerContext context)`
`protected java.lang.String` | `getSelectionScriptTemplate(TreeLogger logger, LinkerContext context)`
`protected java.lang.String` | `modifyPrimaryJavaScript(java.lang.String js)`

Methods inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`doEmitCompilation, emitSelectionScript, fillSelectionScriptTemplate, generateDeferredFragment, generatePrimaryFragmentString, generateSelectionScript, generateSelectionScript, link, link, maybeAddHostedModeFile, maybeOutputPropertyMap, readFileToStringBuffer, replaceAll, supportsDevModeInJunit, wrapPrimaryFragment`

Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker
`emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

Methods inherited from class com.google.gwt.core.ext.Linker
`isShardable, relink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IFrameLinker

    public IFrameLinker()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `Linker`
  Returns a human-readable String describing the Linker.

  Specified by:
    `getDescription` in class `Linker`

### generatePrimaryFragment

    protected byte[] generatePrimaryFragment(TreeLogger logger,
                                             LinkerContext context,
                                             CompilationResult result,
                                             java.lang.String[] js,
                                             ArtifactSet artifacts)
                                      throws UnableToCompleteException

  Overrides:
    `generatePrimaryFragment` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getCompilationExtension

    protected java.lang.String getCompilationExtension(TreeLogger logger,
                                                       LinkerContext context)

  Specified by:
    `getCompilationExtension` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getFragmentSubdir

    protected final java.lang.String getFragmentSubdir(TreeLogger logger,
                                                       LinkerContext context)
                                                throws UnableToCompleteException

  Returns the subdirectory name to be used by getModulPrefix when requesting a runAsync module. It is specified by `PROP_FRAGMENT_SUBDIR_OVERRIDE` and, aside from test cases, is always `SelectionScriptLinker.FRAGMENT_SUBDIR`.

  Throws:
    `UnableToCompleteException`

### getHostedFilename

    protected java.lang.String getHostedFilename()

  Overrides:
    `getHostedFilename` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getModulePrefix

    protected java.lang.String getModulePrefix(TreeLogger logger,
                                               LinkerContext context,
                                               java.lang.String strongName)
                                        throws UnableToCompleteException

  Specified by:
    `getModulePrefix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getModulePrefix

    protected java.lang.String getModulePrefix(TreeLogger logger,
                                               LinkerContext context,
                                               java.lang.String strongName,
                                               int numFragments)
                                        throws UnableToCompleteException

  Overrides:
    `getModulePrefix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`
  Throws:
    `UnableToCompleteException`

### getModuleSuffix

    protected java.lang.String getModuleSuffix(TreeLogger logger,
                                               LinkerContext context)

  Specified by:
    `getModuleSuffix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getSelectionScriptTemplate

    protected java.lang.String getSelectionScriptTemplate(TreeLogger logger,
                                                          LinkerContext context)

  Specified by:
    `getSelectionScriptTemplate` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### modifyPrimaryJavaScript

    protected java.lang.String modifyPrimaryJavaScript(java.lang.String js)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD